commit: 97034d0bb0641faa7ac9b928f94660d098ae529e
Author: Tim Harder <radhermit <AT> gentoo <DOT> org>
AuthorDate: Thu Feb 23 00:35:52 2017 +0000
Commit: Tim Harder <radhermit <AT> gentoo <DOT> org>
CommitDate: Thu Feb 23 00:42:17 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=97034d0b
media-gfx/pqiv: add archive use flag and fix backend loading (bug #603506)
media-gfx/pqiv/metadata.xml | 3 ++
media-gfx/pqiv/pqiv-2.7.4-r1.ebuild | 77 +++++++++++++++++++++++++++++++++++++
2 files changed, 80 insertions(+)
diff --git a/media-gfx/pqiv/metadata.xml b/media-gfx/pqiv/metadata.xml
index 8db07c2cca..cb5fbcd275 100644
--- a/media-gfx/pqiv/metadata.xml
+++ b/media-gfx/pqiv/metadata.xml
@@ -12,4 +12,7 @@
</maintainer>
<remote-id type="github">phillipberndt/pqiv</remote-id>
</upstream>
+ <use>
+ <flag name="archive">Enable support for images in archives and cbX comic
book files</flag>
+ </use>
</pkgmetadata>
diff --git a/media-gfx/pqiv/pqiv-2.7.4-r1.ebuild
b/media-gfx/pqiv/pqiv-2.7.4-r1.ebuild
new file mode 100644
index 0000000000..ebedd6e373
--- /dev/null
+++ b/media-gfx/pqiv/pqiv-2.7.4-r1.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+inherit linux-info flag-o-matic toolchain-funcs fdo-mime
+
+DESCRIPTION="Modern rewrite of Quick Image Viewer"
+HOMEPAGE="https://github.com/phillipberndt/pqiv
http://www.pberndt.com/Programme/Linux/pqiv/"
+SRC_URI="https://github.com/phillipberndt/pqiv/archive/${PV}.tar.gz ->
${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="archive ffmpeg imagemagick kernel_linux libav pdf postscript"
+
+RDEPEND="
+ >=dev-libs/glib-2.8:2
+ >=x11-libs/cairo-1.6
+ x11-libs/gtk+:3
+ archive? ( app-arch/libarchive:0= )
+ ffmpeg? (
+ !libav? ( media-video/ffmpeg:0= )
+ libav? ( media-video/libav:0= )
+ )
+ imagemagick? ( media-gfx/imagemagick:0= )
+ pdf? ( app-text/poppler:0= )
+ postscript? ( app-text/libspectre:0= )
+"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig"
+
+pkg_setup() {
+ if use kernel_linux; then
+ CONFIG_CHECK="~INOTIFY_USER"
+ linux-info_pkg_setup
+ fi
+}
+
+src_prepare() {
+ default
+ sed -i \
+ -e "s:/lib/:/$(get_libdir)/:g" \
+ GNUmakefile || die
+
+ # bug #603506
+ append-ldflags -Wl,--disable-new-dtags
+}
+
+src_configure() {
+ local backends="gdkpixbuf"
+ use archive && backends="${backends},archive,archive_cbx"
+ use ffmpeg || use libav && backends="${backends},libav"
+ use imagemagick && backends="${backends},wand"
+ use pdf && backends="${backends},poppler"
+ use postscript && backends="${backends},spectre"
+
+ ./configure \
+ --backends-build=shared \
+ --backends=${backends} \
+ --prefix="${EPREFIX}/usr" \
+ --destdir="${ED}" \
+ || die
+}
+
+src_compile() {
+ tc-export CC
+ emake VERBOSE=1 CFLAGS="${CFLAGS}"
+}
+
+pkg_postinst() {
+ fdo-mime_desktop_database_update
+}
+
+pkg_postrm() {
+ fdo-mime_desktop_database_update
+}